Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IM Profile
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.siemens.icm.io
Interface CommConnectionControlLinesListener

public interface CommConnectionControlLinesListener

The CommConnectionControlLinesListener interface defines the capability for receiving state changes of the DTR signal. To receive the new states of the signal an implementation class for the CommConnectionControlLinesListener interface must be created first.
The DTRChanged method must contain the processing code for the signal state changes. This code shall leave the listener context as soon as possible (i.e. running a new thread). While the callback method does not return it cannot be called again if changes occur.
After creating an instance of CommConnectionControlLinesListener, this instance has to be passed as a parameter to the CommConnectionControlLines.addListener method. After that, the callback methods will be called by the runtime system each time the corresponding events occur.

See Also:
  `CommConnectionControlLines`

Method Summary
`void` | `DTRChanged(boolean SignalState)` Callback method for change of the serial interface signal DTR (Data Terminal Ready).

Method Detail

### DTRChanged

    public void DTRChanged(boolean SignalState)

  Callback method for change of the serial interface signal DTR (Data Terminal Ready). The callback method, will be called by the runtime system each time time the state of the serial interface signal DTR changes, if an implementation class object is registered as listener for that connection of the CommConnectionControlLines interface.
  While implementing a class for the CommControlLinesListener interface, the user can place the code for DTR signal processing into this method. This code shall leave the listener context as soon as possible (i.e. running a new thread). While the callback method does not return it cannot be called again if changes occur.

  Parameters:
    `SignalState` - The new state of the DTR signal.
  See Also:
    `CommControlLines`, `CommControlLinesListener#addListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IM Profile
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a comment or suggestion Version 2.0 of IM Profile Specification
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries. Copyright (c) 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road,Palo Alto, California, 94303, U.S.A. All Rights Reserved.